com.explodingpixels.widgets

## Enum TableUtils.SortDirection

- java.lang.Object
- - java.lang.Enum<TableUtils.SortDirection>
  - - com.explodingpixels.widgets.TableUtils.SortDirection

- All Implemented Interfaces:
    Serializable, Comparable<TableUtils.SortDirection>
  Enclosing class:
    TableUtils

      public static enum TableUtils.SortDirection
      extends Enum<TableUtils.SortDirection>

  An enumeration representing the sort order of a table column.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASCENDING`
    `DESCENDING`
    `NONE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TableUtils.SortDirection` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TableUtils.SortDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final TableUtils.SortDirection NONE

    - #### ASCENDING

          public static final TableUtils.SortDirection ASCENDING

    - #### DESCENDING

          public static final TableUtils.SortDirection DESCENDING

  - ### Method Detail

    - #### values

          public static TableUtils.SortDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TableUtils.SortDirection c : TableUtils.SortDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TableUtils.SortDirection valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null